rev 342 - in trunk: . ac-macros modules modules/File modules/Prosist modules/SQLite src

SVN User <[email protected]>
Newsgroups gmane.comp.lang.prothon.cvs
Message-ID <[email protected]>
Author: bcollins
Date: 2004-04-13 23:13:18 -0400 (Tue, 13 Apr 2004)
New Revision: 342

Added:
   trunk/ac-macros/pkg.m4
   trunk/modules/Prosist/Makefile.in
   trunk/modules/SQLite/Makefile.in
Modified:
   trunk/configure
   trunk/configure.in
   trunk/modules/File/Makefile.in
   trunk/modules/Makefile.in
   trunk/src/Makefile.in
Log:
Add SQLite and Prosist to unix build. Use pkg-config for SQLite detection.


Added: trunk/ac-macros/pkg.m4
===================================================================
--- trunk/ac-macros/pkg.m4	2004-04-14 03:11:01 UTC (rev 341)
+++ trunk/ac-macros/pkg.m4	2004-04-14 03:13:18 UTC (rev 342)
@@ -0,0 +1,57 @@
+
+dnl PKG_CHECK_MODULES(GSTUFF, gtk+-2.0 >= 1.3 glib = 1.3.4, action-if, action-not)
+dnl defines GSTUFF_LIBS, GSTUFF_CFLAGS, see pkg-config man page
+dnl also defines GSTUFF_PKG_ERRORS on error
+AC_DEFUN(PKG_CHECK_MODULES, [
+  succeeded=no
+
+  if test -z "$PKG_CONFIG"; then
+    AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
+  fi
+
+  if test "$PKG_CONFIG" = "no" ; then
+     echo "*** The pkg-config script could not be found. Make sure it is"
+     echo "*** in your path, or set the PKG_CONFIG environment variable"
+     echo "*** to the full path to pkg-config."
+     echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
+  else
+     PKG_CONFIG_MIN_VERSION=0.9.0
+     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
+        AC_MSG_CHECKING(for $2)
+
+        if $PKG_CONFIG --exists "$2" ; then
+            AC_MSG_RESULT(yes)
+            succeeded=yes
+
+            AC_MSG_CHECKING($1_CFLAGS)
+            $1_CFLAGS=`$PKG_CONFIG --cflags "$2"`
+            AC_MSG_RESULT($$1_CFLAGS)
+
+            AC_MSG_CHECKING($1_LIBS)
+            $1_LIBS=`$PKG_CONFIG --libs "$2"`
+            AC_MSG_RESULT($$1_LIBS)
+        else
+            $1_CFLAGS=""
+            $1_LIBS=""
+            ## If we have a custom action on failure, don't print errors, but 
+            ## do set a variable so people can do so.
+            $1_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "$2"`
+            ifelse([$4], ,echo $$1_PKG_ERRORS,)
+        fi
+
+        AC_SUBST($1_CFLAGS)
+        AC_SUBST($1_LIBS)
+     else
+        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
+        echo "*** See http://www.freedesktop.org/software/pkgconfig"
+     fi
+  fi
+
+  if test $succeeded = yes; then
+     ifelse([$3], , :, [$3])
+  else
+     ifelse([$4], , AC_MSG_ERROR([Library requirements ($2) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.]), [$4])
+  fi
+])
+
+

Modified: trunk/configure
===================================================================
--- trunk/configure	2004-04-14 03:11:01 UTC (rev 341)
+++ trunk/configure	2004-04-14 03:13:18 UTC (rev 342)
@@ -463,7 +463,7 @@
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA YACC PROTHON_DEFAULT_MODDIR HAVE_BOOST_REGEX BOOST_REGEX_LIBS LINK_LD LINK_LIBTOOL LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA YACC PROTHON_DEFAULT_MODDIR HAVE_BOOST_REGEX BOOST_REGEX_LIBS PKG_CONFIG SQLITE_CFLAGS SQLITE_LIBS HAVE_SQLITE LINK_LD LINK_LIBTOOL LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1955,6 +1955,11 @@
 
 
 
+
+
+
+
+
 PACKAGE_VERSION="0.0"
 
 ac_ext=c
@@ -3505,7 +3510,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3508 "configure"' > conftest.$ac_ext
+  echo '#line 3513 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4960,7 +4965,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:4963:" \
+echo "$as_me:4968:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -5996,11 +6001,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:5999: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6004: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6003: \$? = $ac_status" >&5
+   echo "$as_me:6008: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6229,11 +6234,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6232: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6237: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6236: \$? = $ac_status" >&5
+   echo "$as_me:6241: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6289,11 +6294,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6292: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6297: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6296: \$? = $ac_status" >&5
+   echo "$as_me:6301: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8464,7 +8469,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8467 "configure"
+#line 8472 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8562,7 +8567,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8565 "configure"
+#line 8570 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10743,11 +10748,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10746: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10751: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10750: \$? = $ac_status" >&5
+   echo "$as_me:10755: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -10803,11 +10808,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10806: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10811: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10810: \$? = $ac_status" >&5
+   echo "$as_me:10815: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12157,7 +12162,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12160 "configure"
+#line 12165 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12255,7 +12260,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12258 "configure"
+#line 12263 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13082,11 +13087,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13085: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13090: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13089: \$? = $ac_status" >&5
+   echo "$as_me:13094: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13142,11 +13147,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13145: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13150: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13149: \$? = $ac_status" >&5
+   echo "$as_me:13154: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15178,11 +15183,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15181: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15186: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15185: \$? = $ac_status" >&5
+   echo "$as_me:15190: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15411,11 +15416,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15414: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15419: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15418: \$? = $ac_status" >&5
+   echo "$as_me:15423: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15471,11 +15476,11 @@
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15474: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15479: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15478: \$? = $ac_status" >&5
+   echo "$as_me:15483: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17646,7 +17651,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17649 "configure"
+#line 17654 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17744,7 +17749,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17747 "configure"
+#line 17752 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19101,6 +19106,105 @@
 
 
 
+
+  succeeded=no
+
+  if test -z "$PKG_CONFIG"; then
+    # Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
+  ;;
+esac
+fi
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+
+if test -n "$PKG_CONFIG"; then
+  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+echo "${ECHO_T}$PKG_CONFIG" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+  fi
+
+  if test "$PKG_CONFIG" = "no" ; then
+     echo "*** The pkg-config script could not be found. Make sure it is"
+     echo "*** in your path, or set the PKG_CONFIG environment variable"
+     echo "*** to the full path to pkg-config."
+     echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
+  else
+     PKG_CONFIG_MIN_VERSION=0.9.0
+     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
+        echo "$as_me:$LINENO: checking for sqlite" >&5
+echo $ECHO_N "checking for sqlite... $ECHO_C" >&6
+
+        if $PKG_CONFIG --exists "sqlite" ; then
+            echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+            succeeded=yes
+
+            echo "$as_me:$LINENO: checking SQLITE_CFLAGS" >&5
+echo $ECHO_N "checking SQLITE_CFLAGS... $ECHO_C" >&6
+            SQLITE_CFLAGS=`$PKG_CONFIG --cflags "sqlite"`
+            echo "$as_me:$LINENO: result: $SQLITE_CFLAGS" >&5
+echo "${ECHO_T}$SQLITE_CFLAGS" >&6
+
+            echo "$as_me:$LINENO: checking SQLITE_LIBS" >&5
+echo $ECHO_N "checking SQLITE_LIBS... $ECHO_C" >&6
+            SQLITE_LIBS=`$PKG_CONFIG --libs "sqlite"`
+            echo "$as_me:$LINENO: result: $SQLITE_LIBS" >&5
+echo "${ECHO_T}$SQLITE_LIBS" >&6
+        else
+            SQLITE_CFLAGS=""
+            SQLITE_LIBS=""
+            ## If we have a custom action on failure, don't print errors, but
+            ## do set a variable so people can do so.
+            SQLITE_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "sqlite"`
+
+        fi
+
+
+
+     else
+        echo "*** Your version of pkg-config is too old. You need version $PKG_CONFIG_MIN_VERSION or newer."
+        echo "*** See http://www.freedesktop.org/software/pkgconfig"
+     fi
+  fi
+
+  if test $succeeded = yes; then
+     HAVE_SQLITE=yes
+  else
+     HAVE_SQLITE=no
+  fi
+
+
+
+
 if test "${ac_cv_header_sys_utsname_h+set}" = set; then
   echo "$as_me:$LINENO: checking for sys/utsname.h" >&5
 echo $ECHO_N "checking for sys/utsname.h... $ECHO_C" >&6
@@ -19374,7 +19478,7 @@
 
 
 
-                                                            ac_config_files="$ac_config_files Rules.mk Makefile src/Makefile modules/Makefile modules/File/Makefile modules/Re/Makefile"
+                                                                                ac_config_files="$ac_config_files Rules.mk Makefile src/Makefile modules/Makefile modules/File/Makefile modules/Re/Makefile modules/Prosist/Makefile modules/SQLite/Makefile"
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
 # tests run on this system so they can be shared between configure
@@ -19906,6 +20010,8 @@
   "modules/Makefile" ) CONFIG_FILES="$CONFIG_FILES modules/Makefile" ;;
   "modules/File/Makefile" ) CONFIG_FILES="$CONFIG_FILES modules/File/Makefile" ;;
   "modules/Re/Makefile" ) CONFIG_FILES="$CONFIG_FILES modules/Re/Makefile" ;;
+  "modules/Prosist/Makefile" ) CONFIG_FILES="$CONFIG_FILES modules/Prosist/Makefile" ;;
+  "modules/SQLite/Makefile" ) CONFIG_FILES="$CONFIG_FILES modules/SQLite/Makefile" ;;
   "include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -20031,6 +20137,10 @@
 s,@PROTHON_DEFAULT_MODDIR@,$PROTHON_DEFAULT_MODDIR,;t t
 s,@HAVE_BOOST_REGEX@,$HAVE_BOOST_REGEX,;t t
 s,@BOOST_REGEX_LIBS@,$BOOST_REGEX_LIBS,;t t
+s,@PKG_CONFIG@,$PKG_CONFIG,;t t
+s,@SQLITE_CFLAGS@,$SQLITE_CFLAGS,;t t
+s,@SQLITE_LIBS@,$SQLITE_LIBS,;t t
+s,@HAVE_SQLITE@,$HAVE_SQLITE,;t t
 s,@LINK_LD@,$LINK_LD,;t t
 s,@LINK_LIBTOOL@,$LINK_LIBTOOL,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t

Modified: trunk/configure.in
===================================================================
--- trunk/configure.in	2004-04-14 03:11:01 UTC (rev 341)
+++ trunk/configure.in	2004-04-14 03:13:18 UTC (rev 342)
@@ -6,6 +6,7 @@
 dnl Grab some of our macros
 sinclude(ac-macros/find_apr.m4)
 sinclude(ac-macros/libtool.m4)
+sinclude(ac-macros/pkg.m4)
 
 PACKAGE_VERSION="0.0"
 
@@ -31,6 +32,10 @@
 AC_SUBST(HAVE_BOOST_REGEX)
 AC_SUBST(BOOST_REGEX_LIBS)
 
+PKG_CHECK_MODULES(SQLITE, sqlite, [HAVE_SQLITE=yes], [HAVE_SQLITE=no])
+
+AC_SUBST(HAVE_SQLITE)
+
 AC_CHECK_HEADER(sys/utsname.h, [
   AC_DEFINE([HAVE_SYS_UTSNAME_H], [], [Define this to 1 if you have sys/utsname.h])
 ])
@@ -75,4 +80,5 @@
 AC_SUBST(LINK_LIBTOOL)
 
 AC_OUTPUT(Rules.mk Makefile src/Makefile modules/Makefile
-	  modules/File/Makefile modules/Re/Makefile)
+	  modules/File/Makefile modules/Re/Makefile
+	  modules/Prosist/Makefile modules/SQLite/Makefile)

Modified: trunk/modules/File/Makefile.in
===================================================================
--- trunk/modules/File/Makefile.in	2004-04-14 03:11:01 UTC (rev 341)
+++ trunk/modules/File/Makefile.in	2004-04-14 03:13:18 UTC (rev 342)
@@ -16,7 +16,7 @@
 all: $(TARGET)
 
 $(TARGET): $(OBJS)
-	$(LINK_MODULE) $(BOOST_REGEX_LIBS) $(OBJS) -o $@
+	$(LINK_MODULE) $(OBJS) -o $@
 
 install: $(TARGET)
 	$(LIB_INSTALL) $(TARGET) $(DESTDIR)$(PROTHON_DEFAULT_MODDIR)/

Modified: trunk/modules/Makefile.in
===================================================================
--- trunk/modules/Makefile.in	2004-04-14 03:11:01 UTC (rev 341)
+++ trunk/modules/Makefile.in	2004-04-14 03:13:18 UTC (rev 342)
@@ -7,12 +7,16 @@
 
 include $(top_builddir)/Rules.mk
 
-MODULES = File
+MODULES = File Prosist
 
 ifeq (@HAVE_BOOST_REGEX@,yes)
 MODULES += Re
 endif
 
+ifeq (@HAVE_SQLITE@,yes)
+MODULES += SQLite
+endif
+
 all clean:
 	@set -e; for subdir in $(MODULES); do   \
 		$(MAKE) -C $$subdir $@; \

Added: trunk/modules/Prosist/Makefile.in
===================================================================
--- trunk/modules/Prosist/Makefile.in	2004-04-14 03:11:01 UTC (rev 341)
+++ trunk/modules/Prosist/Makefile.in	2004-04-14 03:13:18 UTC (rev 342)
@@ -0,0 +1,28 @@
+# prothon
+#
+# Copyright (C) 2004 Mark Hahn <[email protected]>
+
+srcdir=@srcdir@
+top_builddir=@top_builddir@
+
+include $(top_builddir)/Rules.mk
+
+MODULE_NAME=Prosist
+
+TARGET = $(MODULE_NAME).la
+
+OBJS = $(MODULE_NAME).lo
+
+all: $(TARGET)
+
+$(TARGET): $(OBJS)
+	$(LINK_MODULE) $(OBJS) -o $@
+
+install: $(TARGET)
+	$(LIB_INSTALL) $(TARGET) $(DESTDIR)$(PROTHON_DEFAULT_MODDIR)/
+
+distclean: clean
+	rm -f Makefile
+
+clean:
+	rm -fr *.o *.lo *.la .libs

Added: trunk/modules/SQLite/Makefile.in
===================================================================
--- trunk/modules/SQLite/Makefile.in	2004-04-14 03:11:01 UTC (rev 341)
+++ trunk/modules/SQLite/Makefile.in	2004-04-14 03:13:18 UTC (rev 342)
@@ -0,0 +1,31 @@
+# prothon
+#
+# Copyright (C) 2004 Mark Hahn <[email protected]>
+
+srcdir=@srcdir@
+top_builddir=@top_builddir@
+
+include $(top_builddir)/Rules.mk
+
+MODULE_NAME=SQLite
+
+CFLAGS += @SQLITE_CFLAGS@
+LIBS += @SQLITE_LIBS@
+
+TARGET = $(MODULE_NAME).la
+
+OBJS = $(MODULE_NAME).lo
+
+all: $(TARGET)
+
+$(TARGET): $(OBJS)
+	$(LINK_MODULE) $(OBJS) -o $@
+
+install: $(TARGET)
+	$(LIB_INSTALL) $(TARGET) $(DESTDIR)$(PROTHON_DEFAULT_MODDIR)/
+
+distclean: clean
+	rm -f Makefile
+
+clean:
+	rm -fr *.o *.lo *.la .libs

Modified: trunk/src/Makefile.in
===================================================================
--- trunk/src/Makefile.in	2004-04-14 03:11:01 UTC (rev 341)
+++ trunk/src/Makefile.in	2004-04-14 03:13:18 UTC (rev 342)
@@ -15,7 +15,7 @@
 
 OBJS = main.o $(BUILTIN_MOD_OBJS) object.o argproc.o clist.o lock.o \
 	memory_mgr.o parser.o prmalloc.o sys.o interp.o parser_routines.o \
-	symbol.o thread.o getline.o console.o
+	symbol.o getline.o console.o
 
 all: $(TARGET)
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.